package com.infomodel;

import javax.xml.bind.annotation.adapters.XmlAdapter;

public class MplsVpnServiceValueAdapter extends XmlAdapter<MplsVpnServiceValueImpl,MplsVpnServiceValue>{
    
    public MplsVpnServiceValue unmarshal(MplsVpnServiceValueImpl p) throws Exception {
        try {
            MplsVpnServiceValue r = p;
            return r;
        }
        catch (Exception e)
        {
            e.printStackTrace();
            String msg = "Unable to unmarshall MplsVpnServiceValue : "+p;
            throw new Exception(msg+" due to "+e);   
        }                
    }

    public MplsVpnServiceValueImpl marshal(MplsVpnServiceValue p) throws Exception {
        try {
            MplsVpnServiceValueImpl r = (MplsVpnServiceValueImpl)p;
            return r;
        }
        catch (Exception e)
        {
            e.printStackTrace();
            String msg = "Unable to marshall MplsVpnServiceValueImpl : "+p;
            throw new Exception(msg+" due to "+e);   
        } 
    }
    
}
